%define name	gchord
%define version	0.7.0
%define release 2mdk

%define major	0
%define libname %mklibname %{name} %{major}

Summary: 	Displays a selected chord on a guitar fretboard
Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
Source:		gnome-chord2-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
Patch0:		gnome-chord2-%{version}-gnome-chord.schema-patch.bz2
URL:		http://gnome-chord.sourceforge.net/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig libgnomeui2-devel gettext

%description
GChord is chord and scale database for gnome. It is released under the GPL
which in short means that you can use and distribute it for free. It can be
used as a stand alone application (for example you could use it to find how
to play a specific chord or scale) or it can integrate with other
applications to provide chord selection and rendering.
 
%package -n %{libname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries

%description -n %{libname}
Dynamic libraries from %{name}.

%package -n %{libname}-devel
Summary: Header files and static libraries from %{name}
Group: Development/C
Requires: %{libname} >= %{version}
Provides: lib%{name}-devel = %{version}-%{release} %{name}-devel = %{version}-%{release} 
Obsoletes: %{name}-devel

%description -n %{libname}-devel
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q -n gnome-chord2-%{version}
%patch0

%build
%configure
%make
										
%install
rm -rf ${RPM_BUILD_ROOT}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

#menu
mkdir -p ${RPM_BUILD_ROOT}%{_menudir}
cat << EOF > ${RPM_BUILD_ROOT}%{_menudir}/%{name}
?package(%{name}): command="gchord2" \\
		   icon="%{name}.png" \\
		   needs="x11" \\
		   title="Gnome Chord" \\
		   longtitle="Guitar chords helper" \\
		   section="Multimedia/Sound"

?package(%{name}): command="gscale2" \\
		   icon="%{name}.png" \\
		   needs="x11" \\
		   title="Gnome Scales" \\
		   longtitle="Guitar scales helper" \\
		   section="Multimedia/Sound"

?package(%{name}): command="chordCreator2" \\
		   icon="%{name}.png" \\
		   needs="x11" \\
		   title="Gnome Chord Creator" \\
		   longtitle="Guitar chords creator" \\
		   section="Multimedia/Sound"
EOF

#icons
mkdir -p ${RPM_BUILD_ROOT}/%{_liconsdir}
mkdir -p ${RPM_BUILD_ROOT}/%{_iconsdir}
mkdir -p ${RPM_BUILD_ROOT}/%{_miconsdir}
cat %{SOURCE1} > ${RPM_BUILD_ROOT}/%{_liconsdir}/%{name}.png
cat %{SOURCE2} > ${RPM_BUILD_ROOT}/%{_iconsdir}/%{name}.png
cat %{SOURCE3} > ${RPM_BUILD_ROOT}/%{_miconsdir}/%{name}.png

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%update_menus
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnome-chord.schema >/dev/null

%preun
if [ "$1" = "0" ] ; then

    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnome-chord.schema > /dev/null

fi

%postun
%clean_menus

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING AUTHORS
%{_sysconfdir}/gconf/schemas/*.schema
%{_bindir}/*
%{_libdir}/bonobo/servers/*.server
%{_datadir}/gnome/apps/Music/*.desktop
%{_datadir}/gnome-chord2
%{_datadir}/pixmaps/gnome-chord2
%{_mandir}/man1/*
%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Wed Oct 22 2003 Austin Acton <aacton@yorku.ca> 0.7.0-2mdk
- mklibname
- fix requires
- from Maxim Heijndijk <cchq@wanadoo.nl> :
  - New menu items
  - Disable gconf at makeinstall (fixes crash)
  - Patch0

* Mon Feb 17 2003 Austin Acton <aacton@yorku.ca> 0.7.0-1mdk
- initial package
